## tdeedu-trinity 14.1.1

=== kig/CMakeLists.txt ===
add_subdirectory( objects   )
add_subdirectory( misc      )
add_subdirectory( modes     )
add_subdirectory( filters   )
add_subdirectory( kig       )
add_subdirectory( mimetypes )
add_subdirectory( macros    )
add_subdirectory( tdefile   )
add_subdirectory( data      )
add_subdirectory( icons     )
add_subdirectory( pykig     )
add_subdirectory( scripting )
add_subdirectory( examples  )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libkigpart (kpart)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_kpart( libkigpart AUTOMOC

  SOURCES
        dummy.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     kigmisc-static
     kigobjects-static
     kigfilters-static
     kigmodes-static
     kigscripting-static

  EMBED
     kigpart-static

  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== doc/man/khangman/CMakeLists.txt ===
INSTALL(
    FILES khangman.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== doc/man/kiten/CMakeLists.txt ===
INSTALL(
    FILES kiten.1 kitengen.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== doc/man/kstars/CMakeLists.txt ===
INSTALL(
    FILES kstars.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== doc/man/kturtle/CMakeLists.txt ===
INSTALL(
    FILES kturtle.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== debian/changelog ===
tdeedu-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 13:04:20 +0200

=== debian/control ===
Source: tdeedu-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libnum-ocaml-dev | ocaml-nox (<< 4.08), libfacile-ocaml-dev, libboost-python-dev (>= 1.33.1), libusb-dev, doxygen, graphviz, texlive-latex-base, texlive-latex-extra, ghostscript
Standards-Version: 3.8.4

Package: tdeedu-trinity
Architecture: all
Section: tde
Replaces: kdeedu-trinity (<< 4:14.0.0~)
Breaks: kdeedu-trinity (<< 4:14.0.0~)
Depends: blinken-trinity (>= ${source:Version}), kalzium-trinity (>= ${source:Version}), kanagram-trinity (>= ${source:Version}), kbruch-trinity (>= ${source:Version}), tdeedu-data-trinity (>= ${source:Version}), keduca-trinity (>= ${source:Version}), kgeography-trinity (>= ${source:Version}), khangman-trinity (>= ${source:Version}), kig-trinity (>= ${source:Version}), kiten-trinity (>= ${source:Version}), klatin-trinity (>= ${source:Version}), klettres-trinity (>= ${source:Version}), kmplot-trinity (>= ${source:Version}), kpercentage-trinity (>= ${source:Version}), kstars-trinity (>= ${source:Version}), ktouch-trinity (>= ${source:Version}), kturtle-trinity (>= ${source:Version}), kverbos-trinity (>= ${source:Version}), kvoctrain-trinity (>= ${source:Version}), kwordquiz-trinity (>= ${source:Version}), indi-trinity (>= ${source:Version})
Suggests: tdeedu-trinity-doc-html
Description: educational apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes educational applications provided with the
 official release of Trinity.

Package: tdeedu-data-trinity
Architecture: all
Section: tde
Replaces: kdeedu-data-trinity (<< 4:14.0.0~)
Breaks: kdeedu-data-trinity (<< 4:14.0.0~)
Description: shared data for Trinity educational applications
 This package contains shared data necessary for running the
 educational applications provided with TDE (the Trinity Desktop
 Environment).
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: tdeedu-trinity-dbg
Architecture: any
Priority: extra
Replaces: kdeedu-trinity-dbg (<< 4:14.0.0~)
Breaks: kdeedu-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Section: libdevel
Description: debugging symbols for tdeedu-trinity
 This package contains the debugging symbols associated with tdeedu-trinity.
 They will automatically be used by gdb for debugging tdeedu-related
 issues.

Package: tdeedu-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdeedu-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdeedu-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdeedu-trinity
Description: Trinity edutainment documentation in HTML format
 By default the educational applications provided with TDE (the Trinity
 Desktop Environment) only provide their documentation in TDE docbook
 format, which can only be read by Konqueror or KHelpCenter. This
 package provides all of the TDE edutainment documentation converted
 to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kalzium/. Documentation is provided for
 most TDE educational packages.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: blinken-trinity
Architecture: any
Section: games
Replaces: blinken-trinity (<< 4:14.0.0~)
Breaks: blinken-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ttf-sjfonts, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: Trinity version of the Simon Says electronic memory game
 Blinken is based on an electronic game released in 1978, which
 challenges players to remember sequences of increasing length.  On
 the face of the device, there are 4 different color buttons, each
 with its own distinctive sound.  These buttons light up randomly,
 creating the sequence that the player must then recall.  If the
 player is successful in remembering the sequence of lights in the
 correct order, they advance to the next stage, where an identical
 sequence with one extra step is presented.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kalzium-trinity
Architecture: any
Section: science
Replaces: kalzium-trinity (<< 4:14.0.0~)
Breaks: kalzium-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kalzium-data-trinity (>> ${TDE-Version3}~), kalzium-data-trinity (<< ${TDE-Next-Version3}~), tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: chemistry teaching tool for Trinity
 Kalzium is a program which shows you the Periodic System of Elements
 (PSE).  You can use Kalzium to search for information about the
 elements or to learn facts about the PSE.
 .
 Kalzium provides you with all kinds of information about the PSE.
 You can look up lots of information about the elements and also use
 visualisations to show them.
 .
 You can visualise the Periodic Table of the Elements by blocks,
 groups, acidic behavior or different states of matter.  You can also
 plot data for a range of elements (weight, mean weight, density, IE1,
 IE2, electronegativity), and you can go back in time to see what
 elements were known at a given date.  In addition, on platforms where
 OCaml supports native code generation, Kalzium includes a chemical
 equation solver.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kalzium-data-trinity
Architecture: all
Section: science
Replaces: kalzium-data-trinity (<< 4:14.0.0~)
Breaks: kalzium-data-trinity (<< 4:14.0.0~)
Description: data files for Kalzium
 This package contains architecture-independent data files for
 Kalzium, the TDE periodic table application.  This includes pictures
 of various chemical equipment and of samples of several elements, in
 addition to the actual chemical data.
 .
 See the kalzium package for further information.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kanagram-trinity
Architecture: any
Section: games
Replaces: kanagram-trinity (<< 4:14.0.0~)
Breaks: kanagram-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: letter order game for Trinity
 KAnagram is a game that is based on the word/letter puzzles that the
 author played as a child.  A word is picked at random and displayed
 with its letters in a messed order, with difficulty dependent on the
 chosen level.  You have an unlimited number of attempts, and scores
 are kept.
 .
 It is a very simply constructed game, with 3 difficulty levels of
 play.  It is fully customizable, allowing you to write in your own
 words and set your own 'look and feel' of the game.  It is aimed for
 children aged 10+ because of the difficulty, but of course everyone
 is welcome to try.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kbruch-trinity
Architecture: any
Section: math
Replaces: kbruch-trinity (<< 4:14.0.0~)
Breaks: kbruch-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: fraction calculation teaching tool for Trinity
 KBruch is a small program to practice calculating with fractions.
 Different exercises are provided for this purpose.  The program
 checks the user's input and gives feedback.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: keduca-trinity
Architecture: any
Section: tde
Replaces: keduca-trinity (<< 4:14.0.0~)
Breaks: keduca-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: interactive form-based tests for Trinity
 KEduca is a flash-card application which allows you to make
 interactive form-based tests.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kgeography-trinity
Architecture: any
Section: tde
Replaces: kgeography-trinity (<< 4:14.0.0~)
Breaks: kgeography-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kgeography-data-trinity (>> ${TDE-Version3}~), kgeography-data-trinity (<< ${TDE-Next-Version3}~), tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: Geography learning tool for Trinity
 KGeography contains maps allowing you to learn various countries or
 the political divisions of several countries.  It has several modes,
 including a map browser and games involving the names, capitals, or
 flags of the map divisions.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kgeography-data-trinity
Architecture: all
Section: tde
Replaces: kgeography-data-trinity (<< 4:14.0.0~)
Breaks: kgeography-data-trinity (<< 4:14.0.0~)
Description: data files for KGeography
 This package contains architecture-independent data files for
 KGeography, the geography learning tool for TDE. This includes map
 and flag images.
 .
 See the kgeography package for further information.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: khangman-trinity
Architecture: any
Section: games
Replaces: khangman-trinity (<< 4:14.0.0~)
Breaks: khangman-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, fonts-dustin | ttf-dustin, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: the classical hangman game for Trinity
 KHangMan is a game based on the well known hangman game.  It is aimed
 for children aged 6 and above.  It has four levels of difficulty:
 Animals (animals words), Easy, Medium and Hard.
 .
 A word is picked at random and the letters are hidden.  You must
 guess the word by trying one letter after another.  Each time you
 guess a wrong letter, a picture of a hangman is drawn.  You must
 guess the word before getting hanged!  You have 10 tries.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kig-trinity

## tdeedu-trinity 14.1.2

=== debian/changelog ===
tdeedu-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Apr 2024 03:00:46 +0200

## tdeedu-trinity 14.1.3

=== debian/changelog ===
tdeedu-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:49:43 +0200

## tdeedu-trinity 14.1.4

=== debian/changelog ===
tdeedu-trinity (4:14.1.4-0ubuntu23.10.0+0) mantic; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libnum-ocaml-dev | ocaml-nox (<< 4.08), libfacile-ocaml-dev, libboost-python-dev (>= 1.33.1), libusb-dev, doxygen, graphviz, texlive-latex-base, texlive-latex-extra, ghostscript
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libnum-ocaml-dev | ocaml-nox (<< 4.08), libfacile-ocaml-dev, libboost-python-dev (>= 1.33.1), libusb-dev, doxygen, graphviz, texlive-latex-base, texlive-latex-extra, ghostscript
 Standards-Version: 3.8.4
 
 Package: tdeedu-trinity
 Architecture: all
 Section: tde
-Replaces: kdeedu-trinity (<< 4:14.0.0~)
-Breaks: kdeedu-trinity (<< 4:14.0.0~)
+Replaces: kdeedu-kde3 (<< 4:14.0.0~), kdeedu-trinity (<< 4:14.0.0~)
+Breaks: kdeedu-kde3 (<< 4:14.0.0~), kdeedu-trinity (<< 4:14.0.0~)
 Depends: blinken-trinity (>= ${source:Version}), kalzium-trinity (>= ${source:Version}), kanagram-trinity (>= ${source:Version}), kbruch-trinity (>= ${source:Version}), tdeedu-data-trinity (>= ${source:Version}), keduca-trinity (>= ${source:Version}), kgeography-trinity (>= ${source:Version}), khangman-trinity (>= ${source:Version}), kig-trinity (>= ${source:Version}), kiten-trinity (>= ${source:Version}), klatin-trinity (>= ${source:Version}), klettres-trinity (>= ${source:Version}), kmplot-trinity (>= ${source:Version}), kpercentage-trinity (>= ${source:Version}), kstars-trinity (>= ${source:Version}), ktouch-trinity (>= ${source:Version}), kturtle-trinity (>= ${source:Version}), kverbos-trinity (>= ${source:Version}), kvoctrain-trinity (>= ${source:Version}), kwordquiz-trinity (>= ${source:Version}), indi-trinity (>= ${source:Version})
 Suggests: tdeedu-trinity-doc-html
 Description: educational apps from the official Trinity release
@@ -26,8 +26,8 @@
 Package: tdeedu-data-trinity
 Architecture: all
 Section: tde
-Replaces: kdeedu-data-trinity (<< 4:14.0.0~)
-Breaks: kdeedu-data-trinity (<< 4:14.0.0~)
+Replaces: kdeedu-data-kde3 (<< 4:14.0.0~), kdeedu-data-trinity (<< 4:14.0.0~)
+Breaks: kdeedu-data-kde3 (<< 4:14.0.0~), kdeedu-data-trinity (<< 4:14.0.0~)
 Description: shared data for Trinity educational applications
  This package contains shared data necessary for running the
  educational applications provided with TDE (the Trinity Desktop
@@ -39,8 +39,8 @@
 Package: tdeedu-trinity-dbg
 Architecture: any
 Priority: extra
-Replaces: kdeedu-trinity-dbg (<< 4:14.0.0~)
-Breaks: kdeedu-trinity-dbg (<< 4:14.0.0~)
+Replaces: kdeedu-kde3-dbg (<< 4:14.0.0~), kdeedu-trinity-dbg (<< 4:14.0.0~)
+Breaks: kdeedu-kde3-dbg (<< 4:14.0.0~), kdeedu-trinity-dbg (<< 4:14.0.0~)
 Depends: tdelibs-trinity-dbg
 Section: libdevel
 Description: debugging symbols for tdeedu-trinity
@@ -51,8 +51,8 @@
 Package: tdeedu-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdeedu-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdeedu-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdeedu-kde3-doc-html (<< 4:14.0.0~), kdeedu-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdeedu-kde3-doc-html (<< 4:14.0.0~), kdeedu-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdeedu-trinity
 Description: Trinity edutainment documentation in HTML format
  By default the educational applications provided with TDE (the Trinity
@@ -72,8 +72,8 @@
 Package: blinken-trinity
 Architecture: any
 Section: games
-Replaces: blinken-trinity (<< 4:14.0.0~)
-Breaks: blinken-trinity (<< 4:14.0.0~)
+Replaces: blinken-kde3 (<< 4:14.0.0~), blinken-trinity (<< 4:14.0.0~)
+Breaks: blinken-kde3 (<< 4:14.0.0~), blinken-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ttf-sjfonts, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
 Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
 Description: Trinity version of the Simon Says electronic memory game
@@ -92,8 +92,8 @@
 Package: kalzium-trinity
 Architecture: any
 Section: science
-Replaces: kalzium-trinity (<< 4:14.0.0~)
-Breaks: kalzium-trinity (<< 4:14.0.0~)
+Replaces: kalzium-kde3 (<< 4:14.0.0~), kalzium-trinity (<< 4:14.0.0~)
+Breaks: kalzium-kde3 (<< 4:14.0.0~), kalzium-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kalzium-data-trinity (>> ${TDE-Version3}~), kalzium-data-trinity (<< ${TDE-Next-Version3}~), tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
 Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
 Description: chemistry teaching tool for Trinity
@@ -119,8 +119,8 @@
 Package: kalzium-data-trinity
 Architecture: all
 Section: science
-Replaces: kalzium-data-trinity (<< 4:14.0.0~)
-Breaks: kalzium-data-trinity (<< 4:14.0.0~)
+Replaces: kalzium-data-kde3 (<< 4:14.0.0~), kalzium-data-trinity (<< 4:14.0.0~)
+Breaks: kalzium-data-kde3 (<< 4:14.0.0~), kalzium-data-trinity (<< 4:14.0.0~)
 Description: data files for Kalzium
  This package contains architecture-independent data files for
  Kalzium, the TDE periodic table application.  This includes pictures
@@ -135,8 +135,8 @@
 Package: kanagram-trinity
 Architecture: any
 Section: games
-Replaces: kanagram-trinity (<< 4:14.0.0~)
-Breaks: kanagram-trinity (<< 4:14.0.0~)
+Replaces: kanagram-kde3 (<< 4:14.0.0~), kanagram-trinity (<< 4:14.0.0~)
+Breaks: kanagram-kde3 (<< 4:14.0.0~), kanagram-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
 Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
 Description: letter order game for Trinity
@@ -158,8 +158,8 @@
 Package: kbruch-trinity
 Architecture: any
 Section: math
-Replaces: kbruch-trinity (<< 4:14.0.0~)
-Breaks: kbruch-trinity (<< 4:14.0.0~)
+Replaces: kbruch-kde3 (<< 4:14.0.0~), kbruch-trinity (<< 4:14.0.0~)
+Breaks: kbruch-kde3 (<< 4:14.0.0~), kbruch-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
 Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
 Description: fraction calculation teaching tool for Trinity
@@ -173,8 +173,8 @@
 Package: keduca-trinity
 Architecture: any
 Section: tde
-Replaces: keduca-trinity (<< 4:14.0.0~)
-Breaks: keduca-trinity (<< 4:14.0.0~)
+Replaces: keduca-kde3 (<< 4:14.0.0~), keduca-trinity (<< 4:14.0.0~)
+Breaks: keduca-kde3 (<< 4:14.0.0~), keduca-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
 Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
 Description: interactive form-based tests for Trinity
@@ -187,8 +187,8 @@
 Package: kgeography-trinity
 Architecture: any
 Section: tde
-Replaces: kgeography-trinity (<< 4:14.0.0~)
-Breaks: kgeography-trinity (<< 4:14.0.0~)
+Replaces: kgeography-kde3 (<< 4:14.0.0~), kgeography-trinity (<< 4:14.0.0~)
+Breaks: kgeography-kde3 (<< 4:14.0.0~), kgeography-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kgeography-data-trinity (>> ${TDE-Version3}~), kgeography-data-trinity (<< ${TDE-Next-Version3}~), tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
 Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
 Description: Geography learning tool for Trinity
@@ -203,8 +203,8 @@
 Package: kgeography-data-trinity
 Architecture: all
 Section: tde
-Replaces: kgeography-data-trinity (<< 4:14.0.0~)
-Breaks: kgeography-data-trinity (<< 4:14.0.0~)
+Replaces: kgeography-data-kde3 (<< 4:14.0.0~), kgeography-data-trinity (<< 4:14.0.0~)
+Breaks: kgeography-data-kde3 (<< 4:14.0.0~), kgeography-data-trinity (<< 4:14.0.0~)
 Description: data files for KGeography
  This package contains architecture-independent data files for
  KGeography, the geography learning tool for TDE. This includes map
@@ -218,21 +218,5 @@
 Package: khangman-trinity
 Architecture: any
 Section: games
-Replaces: khangman-trinity (<< 4:14.0.0~)
-Breaks: khangman-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}, fonts-dustin | ttf-dustin, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
-Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
-Description: the classical hangman game for Trinity
- KHangMan is a game based on the well known hangman game.  It is aimed
- for children aged 6 and above.  It has four levels of difficulty:
- Animals (animals words), Easy, Medium and Hard.
- .
- A word is picked at random and the letters are hidden.  You must
- guess the word by trying one letter after another.  Each time you
- guess a wrong letter, a picture of a hangman is drawn.  You must
- guess the word before getting hanged!  You have 10 tries.
- .
- This package is part of Trinity, as a component of the TDE education module.
- See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.
-
-Package: kig-trinity
+Replaces: khangman-kde3 (<< 4:14.0.0~), khangman-trinity (<< 4:14.0.0~)
+Breaks: khangman-kde3 (<< 4:14.0.0~), khangman-trinity (<< 4:14.0.0~)

## tdeedu-trinity 14.1.5~pre5

=== debian/changelog ===
tdeedu-trinity (4:14.1.5~pre5-0ubuntu25.10.0+4) questing; urgency=low

  * Automated git build for 10fc13c59f08038dac00d3123e7337f588722306
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 21 Sep 2025 16:58:29 +0200

## tdeedu-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( tdeedu )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )
enable_testing( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )

option( WITH_GCC_VISIBILITY       "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_ARTS                 "Enable aRts support"                               ${WITH_ALL_OPTIONS} )
option( WITH_OCAML_SOLVER         "Enable ocalm/facile solver (kalzium)"              ${WITH_ALL_OPTIONS} )
option( WITH_LIBUSB               "Enable libusb support (kstars)"                    ${WITH_ALL_OPTIONS} )
option( WITH_V4L                  "Enable video4linux support (kstars)"               ${WITH_ALL_OPTIONS} )
option( WITH_KIG_PYTHON_SCRIPTING "Enable python scripting in kig"                    ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON )

option( BUILD_BLINKEN     "Build blinken"       ${BUILD_ALL} )
option( BUILD_KALZIUM     "Build kalzium"       ${BUILD_ALL} )
option( BUILD_KANAGRAM    "Build kanagram"      ${BUILD_ALL} )
option( BUILD_KBRUCH      "Build kbruch"        ${BUILD_ALL} )
option( BUILD_KEDUCA      "Build keduca"        ${BUILD_ALL} )
option( BUILD_KGEOGRAPHY  "Build kgeography"    ${BUILD_ALL} )
option( BUILD_KHANGMAN    "Build khangman"      ${BUILD_ALL} )
option( BUILD_KIG         "Build kig"           ${BUILD_ALL} )
option( BUILD_KITEN       "Build kiten"         ${BUILD_ALL} )
option( BUILD_KLATIN      "Build klatin"        ${BUILD_ALL} )
option( BUILD_KLETTRES    "Build klettres"      ${BUILD_ALL} )
option( BUILD_KMPLOT      "Build kmplot"        ${BUILD_ALL} )
option( BUILD_KPERCENTAGE "Build kpercentage"   ${BUILD_ALL} )
option( BUILD_KSTARS      "Build kstars"        ${BUILD_ALL} )
option( BUILD_KTOUCH      "Build ktouch"        ${BUILD_ALL} )
option( BUILD_KTURTLE     "Build kturtle"       ${BUILD_ALL} )
option( BUILD_KVERBOS     "Build kverbos"       ${BUILD_ALL} )
option( BUILD_KVOCTRAIN   "Build kvoctrain"     ${BUILD_ALL} )
option( BUILD_KWORDQUIZ   "Build kwordquiz"     ${BUILD_ALL} )
option( BUILD_DOC         "Build documentation" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( applnk    )
add_subdirectory( libtdeedu )
tde_conditional_add_subdirectory( BUILD_BLINKEN     blinken     )
tde_conditional_add_subdirectory( BUILD_KALZIUM     kalzium     )
tde_conditional_add_subdirectory( BUILD_KANAGRAM    kanagram    )
tde_conditional_add_subdirectory( BUILD_KBRUCH      kbruch      )
tde_conditional_add_subdirectory( BUILD_KEDUCA      keduca      )
tde_conditional_add_subdirectory( BUILD_KGEOGRAPHY  kgeography  )
tde_conditional_add_subdirectory( BUILD_KHANGMAN    khangman    )
tde_conditional_add_subdirectory( BUILD_KIG         kig         )
tde_conditional_add_subdirectory( BUILD_KITEN       kiten       )
tde_conditional_add_subdirectory( BUILD_KLATIN      klatin      )
tde_conditional_add_subdirectory( BUILD_KLETTRES    klettres    )
tde_conditional_add_subdirectory( BUILD_KMPLOT      kmplot      )
tde_conditional_add_subdirectory( BUILD_KPERCENTAGE kpercentage )
tde_conditional_add_subdirectory( BUILD_KSTARS      kstars      )
tde_conditional_add_subdirectory( BUILD_KTOUCH      ktouch      )
tde_conditional_add_subdirectory( BUILD_KTURTLE     kturtle     )
tde_conditional_add_subdirectory( BUILD_KVERBOS     kverbos     )
tde_conditional_add_subdirectory( BUILD_KVOCTRAIN   kvoctrain   )
tde_conditional_add_subdirectory( BUILD_KWORDQUIZ   kwordquiz   )
tde_conditional_add_subdirectory( BUILD_DOC         doc         )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== kanagram/CMakeLists.txt ===
add_subdirectory( data   )
add_subdirectory( images )
add_subdirectory( src    )
add_subdirectory( icons  )
add_subdirectory( sounds )

=== kig/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,12 @@
 add_subdirectory( data      )
 add_subdirectory( icons     )
 add_subdirectory( pykig     )
-add_subdirectory( scripting )
 add_subdirectory( examples  )
+
+if( WITH_KIG_PYTHON_SCRIPTING )
+  add_subdirectory( scripting )
+  set( KIGSCRIPTING_LIBRARIES kigscripting-static )
+endif( )
 
 include_directories(
   ${CMAKE_BINARY_DIR}
@@ -24,7 +28,6 @@
   ${TQT_LIBRARY_DIRS}
   ${TDE_LIB_DIR}
 )
-
 
 ##### libkigpart (kpart)
 
@@ -43,7 +46,7 @@
      kigobjects-static
      kigfilters-static
      kigmodes-static
-     kigscripting-static
+     ${KIGSCRIPTING_LIBRARIES}
 
   EMBED
      kigpart-static

=== kpercentage/CMakeLists.txt ===
add_subdirectory( kpercentage )

=== blinken/icons/CMakeLists.txt ===
tde_install_icons( blinken )

=== doc/kalzium/CMakeLists.txt ===
tde_create_handbook( DESTINATION kalzium )

=== doc/kbruch/CMakeLists.txt ===
tde_create_handbook( DESTINATION kbruch )

=== doc/kgeography/CMakeLists.txt ===
tde_create_handbook( DESTINATION kgeography )

=== doc/khangman/CMakeLists.txt ===
tde_create_handbook( DESTINATION khangman )

=== doc/ktouch/CMakeLists.txt ===
tde_create_handbook( DESTINATION ktouch )

=== doc/kvoctrain/CMakeLists.txt ===
tde_create_handbook( DESTINATION kvoctrain )

=== doc/kwordquiz/CMakeLists.txt ===
tde_create_handbook( DESTINATION  kwordquiz )

=== debian/changelog ===
tdeedu-trinity (4:14.1.5-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 21 Sep 2025 16:58:29 +0200

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_INSTALL_DOCS_ALL :=

DEB_INSTALL_CHANGELOGS_ALL = $(shell for f in ChangeLog CHANGELOG CHANGES; do if test -s $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; then echo $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; break; fi; done)

DEB_DH_MAKESHLIBS_ARGS_libtdeedu3-trinity := -V'libtdeedu3-trinity'
DEB_DH_MAKESHLIBS_ARGS_libkiten1-trinity := -V'libkiten1-trinity'

PACKAGES_WITH_LIBS := libtdeedu3-trinity libkiten1-trinity kvoctrain-trinity

# Although ocaml is available for all architectures,
# ocamlopt for some architectures is not available.
# Therefore, kalzium/solver build will be required
# according to ocamlopt availability.
HAVE_OCAMLOPT= $(if $(wildcard /usr/bin/ocamlopt),ON,OFF)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON" \
 -DWITH_OCAML_SOLVER="$(HAVE_OCAMLOPT)"

DEB_MAKE_CHECK_TARGET = check


# Ensure that kig's python scripting built successfully.
common-build-arch::
	test -e $(DEB_BUILDDIR)/kig/scripting/libkigscripting.a || \
	test -e $(DEB_BUILDDIR)/kig/scripting/libscripting.la

common-install-prehook-arch::
	cp -f debian/indi-trinity.install.kfreebsd-i386 \
	      debian/indi-trinity.install.kfreebsd-amd64

clean::
	rm -f debian/indi-trinity.install.kfreebsd-amd64

## tdeedu-trinity 14.1.6~pre0

=== debian/changelog ===
tdeedu-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 10fc13c59f08038dac00d3123e7337f588722306
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 21 Sep 2025 16:58:29 +0200

## tdeedu-trinity 14.1.6~pre2

=== debian/changelog ===
tdeedu-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ea8b8053cc91e2d4bb32277582e8e28c03901114
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:58 +0100

## tdeedu-trinity 14.1.6~pre3

=== debian/changelog ===
tdeedu-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 2cdb428510bae2446315e9b416886d3c34dcca9a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 31 Dec 2025 02:22:09 +0100

## tdeedu-trinity 14.1.6~pre4

=== debian/changelog ===
tdeedu-trinity (4:14.1.6~pre4-0debian14.0.0+0~a) forky; urgency=low

  * Automated git build for 11025cea1c9725ce52d8168fcc036ce12a73be7b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:17:28 +0100

## tdeedu-trinity 14.1.6~pre5

=== debian/changelog ===
tdeedu-trinity (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for cfbcd659753dc8293413ffe76741aee0816cf492
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:18:42 +0100

## tdeedu-trinity 14.1.6~pre6

=== debian/changelog ===
tdeedu-trinity (4:14.1.6~pre6-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 660fcd674f5dd1988f6ecec3036d794053fe0ecd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:17:21 +0100
